View Javadoc

    1   /*
    2    * Licensed to the Apache Software Foundation (ASF) under one or more
    3    * contributor license agreements.  See the NOTICE file distributed with
    4    * this work for additional information regarding copyright ownership.
    5    * The ASF licenses this file to You under the Apache License, Version 2.0
    6    * (the "License"); you may not use this file except in compliance with
    7    * the License.  You may obtain a copy of the License at
    8    *
    9    *     http://www.apache.org/licenses/LICENSE-2.0
    10   *
    11   * Unless required by applicable law or agreed to in writing, software
    12   * distributed under the License is distributed on an "AS IS" BASIS,
    13   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    14   * See the License for the specific language governing permissions and
    15   * limitations under the License.
    16   */
    17
    18  package org.apache.commons.configuration;
    19
    20  import org.apache.commons.lang.exception.NestableException;
    21
    22  /***
    23   * Any exception that occurs while initializing a Configuration
    24   * object.
    25   *
    26   * @author Eric Pugh
    27   * @version $Revision: 439648 $, $Date: 2006-09-02 22:42:10 +0200 (Sa, 02 Sep 2006) $
    28   */
    29  public class ConfigurationException extends NestableException
    30  {
    31      /***
    32       * The serial version ID.
    33       */
    34      private static final long serialVersionUID = -1316746661346991484L;
    35
    36      /***
    37       * Constructs a new <code>ConfigurationException</code> without specified
    38       * detail message.
    39       */
    40      public ConfigurationException()
    41      {
    42          super();
    43      }
    44
    45      /***
    46       * Constructs a new <code>ConfigurationException</code> with specified
    47       * detail message.
    48       *
    49       * @param message  the error message
    50       */
    51      public ConfigurationException(String message)
    52      {
    53          super(message);
    54      }
    55
    56      /***
    57       * Constructs a new <code>ConfigurationException</code> with specified
    58       * nested <code>Throwable</code>.
    59       *
    60       * @param cause  the exception or error that caused this exception to be thrown
    61       */
    62      public ConfigurationException(Throwable cause)
    63      {
    64          super(cause);
    65      }
    66
    67      /***
    68       * Constructs a new <code>ConfigurationException</code> with specified
    69       * detail message and nested <code>Throwable</code>.
    70       *
    71       * @param message  the error message
    72       * @param cause    the exception or error that caused this exception to be thrown
    73       */
    74      public ConfigurationException(String message, Throwable cause)
    75      {
    76          super(message, cause);
    77      }
    78  }